Vulnerability & Exploit Database

Displaying all 8 entries

Results for: CVE-2018-20346 Back to search

SUSE: CVE-2018-20346: SUSE Linux Security Advisory Vulnerability

  • Severity: 7
  • Published: December 21, 2018

SQLite before 3.25.3, when the FTS3 extension is enabled, encounters an integer overflow (and resultant buffer overflow) for FTS3 queries that occur after crafted changes to FTS3 shadow tables, allowing remote attackers to execute arbitrary code by leveraging the ability to run arbitrary SQL statements (such as in certain WebSQL use case...

Huawei EulerOS: CVE-2018-20346: sqlite security update Vulnerability

  • Severity: 7
  • Published: December 21, 2018

SQLite before 3.25.3, when the FTS3 extension is enabled, encounters an integer overflow (and resultant buffer overflow) for FTS3 queries that occur after crafted changes to FTS3 shadow tables, allowing remote attackers to execute arbitrary code by leveraging the ability to run arbitrary SQL statements (such as in certain WebSQL use case...

Huawei EulerOS: CVE-2018-20346: sqlite security update Vulnerability

  • Severity: 7
  • Published: December 21, 2018

SQLite before 3.25.3, when the FTS3 extension is enabled, encounters an integer overflow (and resultant buffer overflow) for FTS3 queries that occur after crafted changes to FTS3 shadow tables, allowing remote attackers to execute arbitrary code by leveraging the ability to run arbitrary SQL statements (such as in certain WebSQL use case...

Gentoo Linux: CVE-2018-20346: SQLite: Remote code execution Vulnerability

  • Severity: 7
  • Published: December 21, 2018

SQLite before 3.25.3, when the FTS3 extension is enabled, encounters an integer overflow (and resultant buffer overflow) for FTS3 queries that occur after crafted changes to FTS3 shadow tables, allowing remote attackers to execute arbitrary code by leveraging the ability to run arbitrary SQL statements (such as in certain WebSQL use case...

Debian: CVE-2018-20346: chromium, chromium-browser, sqlite3 -- security update Vulnerability

  • Severity: 7
  • Published: December 21, 2018

SQLite before 3.25.3, when the FTS3 extension is enabled, encounters an integer overflow (and resultant buffer overflow) for FTS3 queries that occur after crafted changes to FTS3 shadow tables, allowing remote attackers to execute arbitrary code by leveraging the ability to run arbitrary SQL statements (such as in certain WebSQL use case...

OS X update for SQLite (CVE-2018-20346) Vulnerability

  • Severity: 7
  • Published: December 21, 2018

SQLite before 3.25.3, when the FTS3 extension is enabled, encounters an integer overflow (and resultant buffer overflow) for FTS3 queries that occur after crafted changes to FTS3 shadow tables, allowing remote attackers to execute arbitrary code by leveraging the ability to run arbitrary SQL statements (such as in certain WebSQL use case...

Apple iTunes security update for CVE-2018-20346 Vulnerability

  • Severity: 7
  • Published: December 21, 2018

SQLite before 3.25.3, when the FTS3 extension is enabled, encounters an integer overflow (and resultant buffer overflow) for FTS3 queries that occur after crafted changes to FTS3 shadow tables, allowing remote attackers to execute arbitrary code by leveraging the ability to run arbitrary SQL statements (such as in certain WebSQL use case...

Alpine Linux: CVE-2018-20346: sqlite integer overflow (resulting in buffer overflow) for FTS3 queries Vulnerability

  • Severity: 7
  • Published: December 21, 2018

SQLite before 3.25.3, when the FTS3 extension is enabled, encounters an integer overflow (and resultant buffer overflow) for FTS3 queries that occur after crafted changes to FTS3 shadow tables, allowing remote attackers to execute arbitrary code by leveraging the ability to run arbitrary SQL statements (such as in certain WebSQL use case...